package org.jdtaus.banking.dtaus.swing;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class EditorBundle{ 

/** <pre> 
jDTAUS Editor
Copyright (c) 2005 Christian Schulte <cs@schulte.it>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.</pre>. */
public static String getLicenseText(final Locale locale) {
    return getMessage("license", locale);
}

/** <pre> 
jDTAUS Editor
Copyright (c) 2005 Christian Schulte <cs@schulte.it>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.</pre>. */
public static MessageFormat getLicenseMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("license", locale), locale);
}

/** <pre> Please report this at http://bugzilla.jdtaus.org/bugzilla/ including a copy of
the logfiles located in directory {0}.</pre>. */
public static String getBugReportText(final Locale locale) {
    return getMessage("bugReport", locale);
}

/** <pre> Please report this at http://bugzilla.jdtaus.org/bugzilla/ including a copy of
the logfiles located in directory {0}.</pre>. */
public static MessageFormat getBugReportMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("bugReport", locale), locale);
}

/** <pre> Welcome !

Please keep in mind that jDTAUS Editor is in an early development state.
It is recommended to create backups of files you are about to edit.

If you find a bug, please let us know by either filing a bug-report at
http://bugzilla.jdtaus.org/bugzilla/ or by sending a mail to
support@jdtaus.org. Thanks!</pre>. */
public static String getWelcomeText(final Locale locale) {
    return getMessage("welcome", locale);
}

/** <pre> Welcome !

Please keep in mind that jDTAUS Editor is in an early development state.
It is recommended to create backups of files you are about to edit.

If you find a bug, please let us know by either filing a bug-report at
http://bugzilla.jdtaus.org/bugzilla/ or by sending a mail to
support@jdtaus.org. Thanks!</pre>. */
public static MessageFormat getWelcomeMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("welcome", locale), locale);
}

/** <pre> {0} exception.</pre>. */
public static String getUncaughtExceptionText(final Locale locale) {
    return getMessage("uncaughtException", locale);
}

/** <pre> {0} exception.</pre>. */
public static MessageFormat getUncaughtExceptionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("uncaughtException", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.banking.dtaus.swing.Editor", locale).getString(key);
}

}
