package org.jdtaus.banking.dtaus.swing;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class HeaderDialogBundle{ 

/** <pre> Bank code (BLZ):</pre>. */
public static String getBankLabelText(final Locale locale) {
    return getMessage("bankLabel", locale);
}

/** <pre> Bank code (BLZ):</pre>. */
public static MessageFormat getBankLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("bankLabel", locale), locale);
}

/** <pre> Bank internal:</pre>. */
public static String getBankDataLabelText(final Locale locale) {
    return getMessage("BankDataLabel", locale);
}

/** <pre> Bank internal:</pre>. */
public static MessageFormat getBankDataLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("BankDataLabel", locale), locale);
}

/** <pre> Create date:</pre>. */
public static String getCreateDateLabelText(final Locale locale) {
    return getMessage("createDateLabel", locale);
}

/** <pre> Create date:</pre>. */
public static MessageFormat getCreateDateLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("createDateLabel", locale), locale);
}

/** <pre> Customer name:</pre>. */
public static String getCustomerLabelText(final Locale locale) {
    return getMessage("customerLabel", locale);
}

/** <pre> Customer name:</pre>. */
public static MessageFormat getCustomerLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("customerLabel", locale), locale);
}

/** <pre> Execution date:</pre>. */
public static String getExecutionDateLabelText(final Locale locale) {
    return getMessage("executionDateLabel", locale);
}

/** <pre> Execution date:</pre>. */
public static MessageFormat getExecutionDateLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("executionDateLabel", locale), locale);
}

/** <pre> "A" record</pre>. */
public static String getTitleText(final Locale locale) {
    return getMessage("title", locale);
}

/** <pre> "A" record</pre>. */
public static MessageFormat getTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("title", locale), locale);
}

/** <pre> Type:</pre>. */
public static String getTypeLabelText(final Locale locale) {
    return getMessage("typeLabel", locale);
}

/** <pre> Type:</pre>. */
public static MessageFormat getTypeLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("typeLabel", locale), locale);
}

/** <pre> Account code (Kto):</pre>. */
public static String getAccountLabelText(final Locale locale) {
    return getMessage("accountLabel", locale);
}

/** <pre> Account code (Kto):</pre>. */
public static MessageFormat getAccountLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("accountLabel", locale), locale);
}

/** <pre> Currency:</pre>. */
public static String getCurrencyLabelText(final Locale locale) {
    return getMessage("currencyLabel", locale);
}

/** <pre> Currency:</pre>. */
public static MessageFormat getCurrencyLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("currencyLabel", locale), locale);
}

/** <pre> "A" Record</pre>. */
public static String getHeaderPanelTitleText(final Locale locale) {
    return getMessage("headerPanelTitle", locale);
}

/** <pre> "A" Record</pre>. */
public static MessageFormat getHeaderPanelTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("headerPanelTitle", locale), locale);
}

/** <pre> Reference code:</pre>. */
public static String getReferenceLabelText(final Locale locale) {
    return getMessage("referenceLabel", locale);
}

/** <pre> Reference code:</pre>. */
public static MessageFormat getReferenceLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("referenceLabel", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.banking.dtaus.swing.HeaderDialog", locale).getString(key);
}

}
